Bug 1289682 - [abrt] WARNING: CPU: 0 PID: 1850 at drivers/gpu/drm/i915/intel_display.c:3918 intel_crtc_wait_for_pending_flips+0x1c6/0x230 [i915]()
[abrt] WARNING: CPU: 0 PID: 1850 at drivers/gpu/drm/i915/intel_display.c:3918...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0b8d924f4097f7321091eddbf72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 12:46 EST by Ted
Modified: 2016-07-19 14:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (77.51 KB, text/plain)
2015-12-08 12:47 EST, Ted
no flags Details

  None (edit)
Description Ted 2015-12-08 12:46:53 EST
Description of problem:
Using GNOME Shell 3.16.4 and GDM with 
Linux HP_17 4.2.6-200.fc22.x86_64 #1 SMP Tue Nov 10 16:45:19 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

This occurs about 2/3 of the time that the screen blanks due to the "Blank Screen" setting in the Gnome settings.  I usually hit the Shift key to wake up the screen and I immediately know that the OS is unresponsive as the clock on the Screen save is not incrementing.  If I wait about 30 seconds the screen blanks again and on the when I unblank the screen again with the Shift key then I am able to resume the session.  Same things occurs if I use the Mouse to wake up the system.

This has been occuring frequently but I was unable to report the bug as I had VM Player installed and apparently this taints the kernel.  I uninstalled VM Player specifically for the purpose of being able to report this bug.

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 0 PID: 1850 at drivers/gpu/drm/i915/intel_display.c:3918 intel_crtc_wait_for_pending_flips+0x1c6/0x230 [i915]()
WARN_ON(wait_event_timeout(dev_priv->pending_flip_queue, !intel_crtc_has_pending_flip(crtc), 60*HZ) == 0)
Modules linked in:
 xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm iTCO_wdt vfat iwlmvm iTCO_vendor_support fat crct10dif_pclmul crc32_pclmul mac80211 uvcvideo hp_wmi crc32c_intel sparse_keymap videobuf2_vmalloc videobuf2_core videobuf2_memops iwlwifi v4l2_common videodev snd_soc_rt286 snd_hda_codec_realtek snd_hda_codec_hdmi snd_soc_rl6347a
 snd_hda_codec_generic snd_soc_core cfg80211 media snd_hda_intel snd_compress snd_hda_codec snd_pcm_dmaengine ac97_bus snd_hda_core i2c_i801 snd_hwdep snd_seq lpc_ich mei_me rfkill snd_seq_device mei shpchp snd_pcm processor_thermal_device snd_timer tpm_crb dw_dmac snd int3402_thermal int3403_thermal dw_dmac_core tpm intel_soc_dts_iosf i2c_designware_platform int3400_thermal soundcore snd_soc_sst_acpi hp_wireless i2c_designware_core iosf_mbi acpi_pad acpi_thermal_rel int340x_thermal_zone nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper 8021q garp drm stp llc mrp r8169 serio_raw mii sdhci_acpi sdhci mmc_core video i2c_hid wmi
CPU: 0 PID: 1850 Comm: Xorg Not tainted 4.2.6-200.fc22.x86_64 #1
Hardware name: Hewlett-Packard HP ENVY Notebook/80DE, BIOS F.04 06/01/2015
 0000000000000000 00000000f62622fc ffff880448693b18 ffffffff817729ea
 0000000000000000 ffff880448693b70 ffff880448693b58 ffffffff8109e4b6
 ffff880448693cc0 0000000000000000 ffff880447848d38 ffff8804479e3000
Call Trace:
 [<ffffffff817729ea>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff810df6d3>] ? finish_wait+0x53/0x70
 [<ffffffffa019b986>] intel_crtc_wait_for_pending_flips+0x1c6/0x230 [i915]
 [<ffffffff810df990>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa019cd32>] intel_crtc_disable_planes+0x32/0x100 [i915]
 [<ffffffffa019ec5b>] intel_crtc_control+0x4b/0x110 [i915]
 [<ffffffffa019ed7e>] intel_crtc_update_dpms+0x5e/0x80 [i915]
 [<ffffffffa01a41ef>] intel_connector_dpms+0x5f/0x70 [i915]
 [<ffffffffa009c7ab>] drm_mode_obj_set_property_ioctl+0x25b/0x270 [drm]
 [<ffffffffa009c7ff>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
 [<ffffffffa008c365>] drm_ioctl+0x125/0x610 [drm]
 [<ffffffffa009c7c0>] ? drm_mode_obj_set_property_ioctl+0x270/0x270 [drm]
 [<ffffffff813a4bd9>] ? timerqueue_add+0x59/0xb0
 [<ffffffff81108024>] ? enqueue_hrtimer+0x44/0x80
 [<ffffffff81778e3e>] ? _raw_spin_unlock_irqrestore+0xe/0x10
 [<ffffffff81108abf>] ? hrtimer_start_range_ns+0x1bf/0x3b0
 [<ffffffff81231445>] do_vfs_ioctl+0x295/0x470
 [<ffffffff816463fc>] ? __sys_recvmsg+0x8c/0xa0
 [<ffffffff81231699>] SyS_ioctl+0x79/0x90
 [<ffffffff817793ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 1 Ted 2015-12-08 12:47:00 EST
Created attachment 1103657 [details]
File: dmesg
Comment 2 Fedora End Of Life 2016-07-19 14:35:00 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.